Browse Source

updated texworks-vl.spec

git-svn-id: http://trac.vinelinux.org/repos/projects/specs@1977 ec354946-7b23-47d6-9f5a-488ba84defc7
munepi 13 years ago
parent
commit
d712f4dc31

+ 24 - 0
t/texworks/texworks-0.3-ptex-vine.patch

@@ -0,0 +1,24 @@
+diff -up texworks-0.3/src/TWApp.cpp\~ texworks-0.3/src/TWApp.cpp
+--- texworks-0.3/src/TWApp.cpp~	2010-10-02 10:38:03.000000000 +0900
++++ texworks-0.3/src/TWApp.cpp	2010-10-02 10:47:37.874000067 +0900
+@@ -810,6 +810,8 @@ void TWApp::setDefaultEngineList()
+ 	else
+ 		engineList->clear();
+ 	*engineList
++		<< Engine("pdfpLaTeX", "pdfplatex" EXE, QStringList("$basename"), true)
++		<< Engine("pdfepLaTeX", "pdfeplatex" EXE, QStringList("$basename"), true)
+ 		<< Engine("LaTeXmk", "latexmk" EXE, QStringList("-e") << 
+ 				  "$pdflatex=q/pdflatex -synctex=1 %O %S/" << "-pdf" << "$fullname", true)
+ 		<< Engine("pdfTeX", "pdftex" EXE, QStringList("$synctexoption") << "$fullname", true)
+@@ -818,7 +820,9 @@ void TWApp::setDefaultEngineList()
+ 		<< Engine("XeLaTeX", "xelatex" EXE, QStringList("$synctexoption") << "$fullname", true)
+ 		<< Engine("ConTeXt", "texmfstart" EXE, QStringList("texexec") << "$fullname", true)
+ 		<< Engine("XeConTeXt", "texmfstart" EXE, QStringList("texexec") << "--xtx" << "$fullname", true)
++		<< Engine("pBibTeX", "pbibtex" EXE, QStringList("$basename"), false)
+ 		<< Engine("BibTeX", "bibtex" EXE, QStringList("$basename"), false)
++		<< Engine("Mendex", "mendex" EXE, QStringList("$basename"), false)
+ 		<< Engine("MakeIndex", "makeindex" EXE, QStringList("$basename"), false);
+ 	defaultEngineIndex = 1;
+ }
+
+Diff finished.  Sat Oct  2 10:47:40 2010

+ 29 - 0
t/texworks/texworks-snapshot.sh

@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e
+
+tmp=$(mktemp -d)
+
+trap cleanup EXIT
+cleanup() {
+    set +e
+    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
+}
+
+unset CDPATH
+pwd=$(pwd)
+
+dirname=texworks
+
+cd "$tmp"
+svn checkout http://texworks.googlecode.com/svn/trunk/ $dirname
+cd $dirname
+VERSION=`cat src/TWVersion.h | grep TEXWORKS_VERSION | sed s/\"//g | cut -f2`
+REVISION=`LC_ALL=C svn info 2> /dev/null | grep Revision | cut -d' ' -f2`
+find . -type d -name .svn -print0 | xargs -0r rm -rf
+cd ..
+mv $dirname ${dirname}-${VERSION}
+tar jcf "$pwd"/${dirname}-${VERSION}.svn${REVISION}.tar.bz2 ${dirname}-${VERSION}
+cd ${pwd} >/dev/null
+
+exit

+ 18 - 24
t/texworks/texworks-vl.spec

@@ -1,34 +1,29 @@
+%define svnrevision 671
+
 %define _qt4_qmake		%{_libdir}/qt4/bin/qmake
 
 ## Summary/Description adopted from Debian with modification
 
 Name:           texworks
-Version:        0.2.3
-Release:        2%{?_dist_release}
+Version:        0.3
+Release:        1%{?svnrevision:.svn%svnrevision}%{?_dist_release}
 Summary:        An environment for authoring TeX (LaTeX, ConTeXt, etc) documents
-Summary(ja):     TeX ドキュメント制作のための総合環境
+Summary(ja):    TeX ドキュメント制作のための総合環境
 
 Group:          Applications/Editors
 License:        GPLv2+
 URL:            http://tug.org/texworks/
-Source0:        http://texworks.googlecode.com/files/%{name}-%{version}.tar.gz
+Source0:        http://texworks.googlecode.com/files/%{name}-%{version}%{?svnrevision:.svn%svnrevision}.tar.%{?svnrevision:bz2}%{!?svnrevision:gz}
 # Desktop file adopted from Debian with modification
 Source1:        %{name}.desktop
 
 ## vine
+Source10:       texworks-snapshot.sh
 Source100:      pdfplatex.sh
 Source101:      pdfeplatex.sh
 
-# Fix some strange characters in README
-# applied in upstream svn629
-Patch0:         texworks-0.2.3-README-UTF8.patch
-
-# Use qmake mechanism to install files and fix DSO linking problem
-# DSO linking related part applied in upstream svn637
-Patch1:         TeXworks-pro-install.patch
-
 ## vine
-Patch100:       texworks-0.2.3-ptex-vine.patch
+Patch100:       texworks-0.3-ptex-vine.patch
 
 BuildRequires:  hunspell-devel
 BuildRequires:  dbus-devel
@@ -37,7 +32,7 @@ BuildRequires:  desktop-file-utils
 
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
 
-Distribution:	Vine Linux
+Distribution:	Vine
 Vendor:		Project Vine
 Packager:	munepi
 
@@ -60,8 +55,6 @@ TeXworks を利用するためには、TeX 環境が必要です。
 
 %prep
 %setup -q
-%patch0 -p0 -b .fix
-%patch1 -p1 -b .fix
 
 %patch100 -p1 -b .vine
 
@@ -75,10 +68,10 @@ TeXworks を利用するためには、TeX 環境が必要です。
 %__rm -rf %{buildroot}
 %__make install INSTALL_ROOT=%{buildroot}
 
-%__mkdir_p %{buildroot}%{_datadir}/applications
-desktop-file-install \
-    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
-    %{SOURCE1}
+# %__mkdir_p %{buildroot}%{_datadir}/applications
+# desktop-file-install \
+#     --dir $RPM_BUILD_ROOT%{_datadir}/applications \
+#     %{SOURCE1}
 
 ## support platex/eplatex via dvipdfmx
 %__install -m755 -D %{SOURCE100} %{buildroot}%{_bindir}/pdfplatex
@@ -100,14 +93,15 @@ update-desktop-database &> /dev/null || :
 %{_bindir}/%{name}
 %{_bindir}/pdfplatex
 %{_bindir}/pdfeplatex
-%{_datadir}/%{name}/
 %{_datadir}/applications/%{name}.desktop
 %{_datadir}/pixmaps/*
-
+%{_mandir}/man1/texworks.1.gz
 
 %changelog
-* Xxx Yyy Zz 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.2.3-2
-- corrected Summary: and Distribution:
+* Sat Oct 02 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.3-1.svn671
+- source snapshot r671
+  - dropped obsolete/upstreamed patches
+- added texworks-snapshot.sh
 
 * Sat Aug 07 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.2.3-1
 - initial build

+ 126 - 0
t/texworks/texworks-vl5.spec

@@ -0,0 +1,126 @@
+%define _qt4_qmake		%{_libdir}/qt4/bin/qmake
+
+## Summary/Description adopted from Debian with modification
+
+Name:           texworks
+Version:        0.2.3
+Release:        2%{?_dist_release}
+Summary:        An environment for authoring TeX (LaTeX, ConTeXt, etc) documents
+Summary(ja):     TeX ドキュメント制作のための総合環境
+
+Group:          Applications/Editors
+License:        GPLv2+
+URL:            http://tug.org/texworks/
+Source0:        http://texworks.googlecode.com/files/%{name}-%{version}.tar.gz
+# Desktop file adopted from Debian with modification
+Source1:        %{name}.desktop
+
+## vine
+Source100:      pdfplatex.sh
+Source101:      pdfeplatex.sh
+
+# Fix some strange characters in README
+# applied in upstream svn629
+Patch0:         texworks-0.2.3-README-UTF8.patch
+
+# Use qmake mechanism to install files and fix DSO linking problem
+# DSO linking related part applied in upstream svn637
+Patch1:         TeXworks-pro-install.patch
+
+## vine
+Patch100:       texworks-0.2.3-ptex-vine.patch
+
+BuildRequires:  hunspell-devel
+BuildRequires:  dbus-devel
+BuildRequires:  poppler-qt4-devel
+BuildRequires:  desktop-file-utils
+
+BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
+
+Distribution:	Vine Linux
+Vendor:		Project Vine
+Packager:	munepi
+
+
+%description
+TeXworks is an environment for authoring TeX (LaTeX, ConTeXt, etc) documents, 
+with a Unicode-based, TeX-aware editor, integrated PDF viewer, and a clean, 
+simple interface accessible to casual and non-technical users.
+
+You may install the texlive-* packages to make this program useful.
+
+%description -l ja
+TeXworks は TeX (LaTeX, ConTeXt, etc) ドキュメント制作のための総合環境です。
+ユニコードベースで編集する TeX に特化したエディタに、
+PDF プレビュアーが統合されており、不慣れな非技術系のユーザへの
+簡潔で操作しやすいインタフェースを備えています。
+
+TeXworks を利用するためには、TeX 環境が必要です。
+
+
+%prep
+%setup -q
+%patch0 -p0 -b .fix
+%patch1 -p1 -b .fix
+
+%patch100 -p1 -b .vine
+
+
+%build
+%_qt4_qmake INSTALL_PREFIX=%{_prefix} DOCS_DIR=%{_docdir}/%{name}-%{version}
+%__make %{?_smp_mflags}
+
+
+%install
+%__rm -rf %{buildroot}
+%__make install INSTALL_ROOT=%{buildroot}
+
+%__mkdir_p %{buildroot}%{_datadir}/applications
+desktop-file-install \
+    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
+    %{SOURCE1}
+
+## support platex/eplatex via dvipdfmx
+%__install -m755 -D %{SOURCE100} %{buildroot}%{_bindir}/pdfplatex
+%__install -m755 -D %{SOURCE101} %{buildroot}%{_bindir}/pdfeplatex
+
+
+%clean
+%__rm -rf %{buildroot}
+
+%post
+update-desktop-database &> /dev/null || :
+
+%postun
+update-desktop-database &> /dev/null || :
+
+%files
+%defattr(-,root,root,-)
+%{_docdir}/%{name}-%{version}/
+%{_bindir}/%{name}
+%{_bindir}/pdfplatex
+%{_bindir}/pdfeplatex
+%{_datadir}/%{name}/
+%{_datadir}/applications/%{name}.desktop
+%{_datadir}/pixmaps/*
+
+
+%changelog
+* Xxx Yyy Zz 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.2.3-2
+- corrected Summary: and Distribution:
+
+* Sat Aug 07 2010 Munehiro Yamamoto <munepi@vinelinux.org> 0.2.3-1
+- initial build
+
+* Sat Apr 24 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.2.3-3
+- Move to menu category 'Office'
+- License tag revised to 'GPLv2+'
+- Initial import to Fedora repositories
+
+* Thu Apr 22 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.2.3-2
+- Fix some strange characters in README
+- Patch TeXworks.pro to use qmake mechanism to install files and fix DSO linking
+  problem
+
+* Sun Apr 11 2010 Robin Lee <robinlee.sysu@gmail.com> - 0.2.3-1
+- Initial packaging